public class Wechselkurs
{
    private String wahrung;
    private double[] kurs;
    private int anzahl;
    
    public Wechselkurs(String wahrung)
    {
        setWahrung(wahrung);
        kurs = new double[15];
        anzahl = 0;
    }
    
    public void testdaten1()
    {
        kurs[0] = 0.93;
        kurs[1] = 0.91;
        kurs[2] = 0.90;
        kurs[3] = 0.89;
        kurs[4] = 0.91;
        kurs[5] = 0.87;
        kurs[6] = 0.79;
        kurs[7] = 0.82;
        kurs[8] = 0.89;
        kurs[9] = 0.91;
        anzahl = 10;
    }

    public void testdaten2()
    {
        kurs[0] = 0.93;
        kurs[1] = 0.91;
        kurs[2] = 0.90;
        kurs[3] = 0.89;
        kurs[4] = 0.91;
        kurs[5] = 0.87;
        kurs[6] = 0.99;
        kurs[7] = 0.82;
        kurs[8] = 0.89;
        kurs[9] = 0.91;
        anzahl = 10;
    }    

    public void testdaten3()
    {
        kurs[0] = 0.90;
        kurs[1] = 0.91;
        kurs[2] = 0.92;
        kurs[3] = 0.93;
        kurs[4] = 0.94;
        kurs[5] = 0.95;
        kurs[6] = 0.96;
        kurs[7] = 0.97;
        kurs[8] = 0.98;
        kurs[9] = 0.99;
        anzahl = 10;
    }     
    
    public void sortSelection()
    {
        double min;
        int minpos;

        for (int j=0; j<anzahl-1; j++)
        {
            min = 999;
            minpos = -1;
            for (int i=j; i<anzahl; i++)
            {
                if (kurs[i]<min)
                {
                    min = kurs[i];
                    minpos = i;
                }
            }
            kurs[minpos]=kurs[j];
            kurs[j]=min;
        }
    }
    
    public double maximalerKursverlust()
    {
        double diff;
        
        diff = 0;
        for (int i=1; i<anzahl; i++)
        {
            if (kurs[i]-kurs[i-1] < diff)
            {
                diff = kurs[i]-kurs[i-1];
            }
        }
        return diff;
    }
    
    public void loschenPosition(int pos)
    {
        if ((pos>=0) && (pos<anzahl))
        {
            for (int i=pos+1; i<anzahl; i++)
            {
                kurs[i-1] = kurs[i];
            }
            kurs[anzahl-1]=0;
            anzahl--;
        }
        else
        {
            System.out.println("Fehler: ungültige Position!");
        }
    }
    
    public int anzahlTageUber(double minKurs)
    {
        int anz;
        
        anz=0;
        for (int i=0; i<anzahl; i++)
        {
            if (kurs[i] > minKurs)
            {
                anz++;
            }
        }
        return anz;
    }
    
    public int maximalerKurs()
    {
        double maxKurs;
        int maxPos;
        
        maxPos = -1;
        maxKurs = -999;
        for (int i=0; i<anzahl; i++)
        {
            if (kurs[i]>maxKurs)
            {
                maxKurs = kurs[i];
                maxPos = i;
            }
        }
        return maxPos;
    }
    
    public void printWechselkurs()
    {
        System.out.println(wahrung);
        System.out.println();
        for (int i=0; i<anzahl; i++)
        {
            System.out.print(kurs[i] + "\t");
            for (double j=0; j<=kurs[i]; j+=0.1)
            {
                System.out.print("*");
            }
            System.out.println();            
        }
    }
    
    public String getWahrung()
    {
        return wahrung;
    }
    
    public void setWahrung(String wahrung)
    {
        if (wahrung!=null)
        {
            this.wahrung = wahrung;
        }
        else
        {
            System.out.println("Fehler: ungültige Währung!");
            this.wahrung = "UNKN";
        }
    }
}
